#include "Person.h"
#include <sstream>

Person::Person(string gender, int weight, int height)
{
    this->gender = gender;
    this->weight = weight;
    this->height = height;
}

double Person::IBM() const
{
    return weight / pow(height / 100.0, 2);

}

string Person::To_String() const
{
    stringstream ss;

    ss << "Gender: " << gender << ":" << IBM(); 

    return ss.str();
}
